
#include <OpenGl_tgl_all.h>
#include <InterfaceGraphic_Graphic3d.hxx>
#include <OpenGl_tgl.h>
#include <OpenGl_tgl_funcs.h>
#include <OpenGl_tgl_subrs.h>
#include <OpenGl_tgl_utilgr.h>

void EXPORT
call_togl_polyline
(
	CALL_DEF_GROUP * agroup,
	CALL_DEF_LISTPOINTS * alpoints
)
{
	if (! agroup->IsOpen) call_togl_opengroup (agroup);
	switch (alpoints->TypePoints) {
		case 1 : /* Vertex Coordinates Specified */
			call_subr_polyline (alpoints);
		break;
		case 3 : /* Coordinates and Vertex Colour Specified */
			call_subr_polyline_data (alpoints);
		break;
	}
	if (! agroup->IsOpen) call_togl_closegroup (agroup);
	return;
}
